import 'package:flutter/material.dart';
import 'package:syncrow_app/features/auth/view/check_email_page.dart';
import 'package:syncrow_app/features/shared_widgets/text_widgets/body_medium.dart';
import 'package:syncrow_app/utils/context_extension.dart';

class ForgetPassword extends StatelessWidget {
  const ForgetPassword({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    bool isforget = true;
    return Row(
      children: [
        const Spacer(),
        TextButton(
          onPressed: () {
            Navigator.push(
                context,
                MaterialPageRoute(
                  builder: (context) => CheckEmailPage(forget: isforget),
                ));
          },
          child: BodyMedium(
            text: "Forgot Password?",
            style: context.bodyMedium.copyWith(
              color: Colors.white,
            ),
          ),
        ),
      ],
    );
  }
}
